rmpc(1)

NAME
rmpc

SYNOPSIS
rmpc [-c|--config] [-a|--address] [-p|--password] [-h|--help] [subcommands]

DESCRIPTION

OPTIONS

-c, --config=FILE [default: /build/.config/build_script_build/config.ron]

-a, --address=ADDRESS
    Override the address to connect to. Defaults to value in the config file

-p, --password=PASSWORD
    Override the MPD password

-h, --help
    Print help

SUBCOMMANDS

rmpc-config(1)
    Prints the default config. Can be used to bootstrap your config file

rmpc-theme(1)
    Prints the default theme. Can be used to bootstrap your theme file

rmpc-lyricsindex(1)
    Index the lyrics dir and display result, meant only for debugging purposes

rmpc-update(1)
    Scan MPD's music directory for updates

rmpc-rescan(1)
    Scan MPD's music directory for updates. Also rescans unmodified files

rmpc-albumart(1)
    Saves the current album art to a file. Exit codes: * 0: Success * 1: Error * 2: No album art found * 3: No song playing

rmpc-debuginfo(1)
    Prints information about optional runtime dependencies

rmpc-version(1)
    Prints the rmpc version

rmpc-play(1)
    Plays song at the position in the current playlist. Defaults to current paused song

rmpc-pause(1)
    Pause playback

rmpc-unpause(1)
    Unpause playback

rmpc-togglepause(1)
    Toggles between play and pause

rmpc-stop(1)
    Stops playback

rmpc-next(1)
    Plays the next song in the playlist

rmpc-prev(1)
    Plays the previous song in the playlist

rmpc-volume(1)
    Sets volume, relative if prefixed by + or -. Prints current volume if no arguments is given

rmpc-repeat(1)
    On or off

rmpc-random(1)
    On or off

rmpc-single(1)
    On, off or oneshot

rmpc-consume(1)
    On, off or oneshot

rmpc-seek(1)
    Seeks current song(seconds), relative if prefixed by + or -

rmpc-clear(1)
    Clear the current queue

rmpc-add(1)
    Add a song to the current queue. Relative to music database root. '/' to add all files to the queue

rmpc-addyt(1)
    Add a song from youtube to the current queue

rmpc-outputs(1)
    List MPD outputs

rmpc-toggleoutput(1)
    Toggle MPD output on or off

rmpc-enableoutput(1)
    Enable MPD output

rmpc-disableoutput(1)
    Disable MPD output

rmpc-decoders(1)
    List MPD decoder plugins

rmpc-status(1)
    Prints various information like the playback status

rmpc-song(1)
    Prints info about the current song. If --path specified, prints information about the song at the given path instead. If --path is specified multiple times, prints an array containing all the songs

rmpc-mount(1)
    Mounts supported storage to MPD

rmpc-unmount(1)
    Unmounts storage with given name

rmpc-listmounts(1)
    List currently mounted storages

rmpc-help(1)
    Print this message or the help of the given subcommand(s)